%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kiwi
Version:        1.9.25
Release:        1%{?dist}
Summary:        Framework for Python GUI applications

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.async.com.br/projects/kiwi/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/kiwi/1.9/kiwi-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-devel, pygtk2-devel >= 2.8, gettext, pkgconfig
Requires:       pygtk2 >= 2.8


%description
Kiwi consists of a set of classes and wrappers for PyGTK that were 
developed to provide a sort of framework for applications. Fully 
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple, 
practical way to build forms, windows and widgets that transparently 
access and display your object data.


%package gazpacho
Group:          Development/Libraries
Summary:        Gazpacho integration for kiwi
Requires:       gazpacho >= 0.6.6, %{name} = %{version}-%{release}

%description gazpacho
This package contains additional files necessary for integration with
Gazpacho glade editor.


%package docs
Group:          Documentation
Summary:        Documentation related to python-kiwi
Requires:       %{name} = %{version}-%{release}

%description docs
This package contains documentation that contains APIs and related materials,
useful for reference when writing software using Kiwi.


%prep
%setup -q -n kiwi-%{version}
sed -i -e 's|share/doc/kiwi|share/doc/%{name}-%{version}|' setup.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}

# The install script mis-guesses where gazpacho is installed on 
# non-x86 platforms
if [ "%{python_sitearch}" != "%{python_sitelib}" ]; then
    mv $RPM_BUILD_ROOT%{python_sitearch}/gazpacho \
        $RPM_BUILD_ROOT%{python_sitelib}/
fi

%{find_lang} kiwi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f kiwi.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_datadir}/kiwi
%{python_sitelib}/kiwi
%{python_sitelib}/*.egg-info

%files gazpacho
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/gazpacho/widgets/*
%{_datadir}/gazpacho/catalogs/*
%{_datadir}/gazpacho/resources/*

%files docs
%defattr(644,root,root,755)
%doc COPYING doc/* examples


%changelog
* Fri May 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.25-1
- Upstream 1.9.25
- Added Advanced Search in search dialogs
- Added initial support for loading GtkBuilder files
- Added multi-line capability in ComboEntry options
- Bugfixes

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.23-1
- Upstream 1.9.23

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.9.22-2
- Rebuild for Python 2.6

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.22-1
- Upstream 1.9.22

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.21-1
- Upstream 1.9.21

* Sun Feb 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.20-2
- Upstream 1.9.20

* Thu Jan 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-2
- Package the egg-info file.

* Sun Dec 23 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-1
- Upstream 1.9.19

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.16-1
- Upstream 1.9.16
- Appease license naming gods -- LGPLv2+

* Mon Jun 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.15-1
- Upstream 1.9.15

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.14-1
- Upstream 1.9.14

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.13-1
- Upstream 1.9.13
- Use .bz2 file to save space
- BR pkgconfig and pygtk2-devel for setup script

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.11-1
- Upstream 1.9.11
- Do not manually provide python-abi
- Move docs into a subpackage
- Do a better job with gazpacho dir ownerships

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.9-1
- Version 1.9.9
- Do not ghost
- No more /etc/kiwi

* Wed Jul 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-1
- Fedora Extras rebuild.

* Fri Jul 07 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.4
- Build in slimmer build environments.

* Fri Jun 16 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.3
- Fix the incorrect gazpacho location on x86_64 (we are fully noarch)

* Fri May 19 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.2
- Initial packaging
